attribute vec3 aPosition;
attribute vec2 aTexCoord;

varying vec2 vTexCoord;
//uniform float noise;

void main() {
  // copy the texcoords

  float multiplier = 1.0;

  /*if (noise < -1.0) {
    multiplier = 2.0;
  }*/

  vTexCoord = aTexCoord;

  vec4 positionVec4 = vec4(aPosition, 1.0);
  positionVec4.xy = positionVec4.xy * 2.0 - 1.0;

  gl_Position = positionVec4;
}